"fuss-server purge" pare non funzionare
05/05/2017 01:54 AM - Paolo Dongilli

Status: Risolto Start date: 05/05/2017
Priority: Alta Due date:

Assignee: Paolo Dongilli % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Ho interrotto il processo "fuss-server create" alla richiesta

Please insert Local network address

con un CTRL-C + Enter

Dando il comando "fuss-server purge" mi aspettavo solo che la configurazione fatta fino a quel punto venisse cancellata senza
interazione, invece "fuss-server purge" riparte dal punto in cui mi ero fermato chiedendomi il Local network address.

Con un "fuss-server create" la configurazione pure riparte dal punto in cui mi ero fermato prima dell'interruzione.

History

#1 - 05/05/2017 01:55 AM - Paolo Dongilli

- Subject changed from fuss-server purge pare non funzionare to "fuss-server purge" pare non funzionare

#2 - 05/05/2017 08:48 AM - Christopher R. Gabriel

- Assignee set to Elena Grandi

#3 - 05/05/2017 10:09 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

In realta purge non cancella la configurazione esistente, ma la "disapplica" dal sistema.

Per entrare un po' nel dettaglio del funzionamento di fuss-server: la configurazione generale del sistema ¢ salvata in
/etc/fuss-server/fuss-server.yaml. All'inizio di tutti i comandi fuss-server controlla che quella configurazione esista e sia valida, e se nonlo € o
mancano dei pezzi chiede solo le parti che mancano.

Per modificare la configurazione che si € inserita si pud usare fuss-server configure -r che richiede tutti i valori (oppure cancellare il file, che viene
ricreato).
Questa procedura & brevemente documentata sulla wiki oppure con fuss-server --help e fuss-server configure --help.

Una volta che la configurazione & a posto fuss-server procede con create o update a configurare il sistema in base ai valori impostati, con purge a

riportare la configurazione del sistema allo stato originale, mantenendo perd quanto salvato in /etc/fuss-server/fuss-server.yaml (questo perché si
suppone che uno possa voler lanciare purge seguito da create senza dover riscrivere la configurazione).
https://work.fuss.bz.it/projects/server/wiki/Installazione_di_Fuss_Server#Modifica-della-configurazione

#4 - 05/05/2017 11:55 AM - Paolo Dongilli

- Status changed from Nuovo to Chiuso

Grazie Elena.

Mi ero perso il "configure -r". L'opzione -r va aggiunta al help del comando. Mi pare che manchi.
Chiudo l'issue.

#5 - 05/05/2017 12:04 PM - Christopher R. Gabriel
- Status changed from Chiuso to Nuovo
- Assignee deleted (Paolo Dongilli)

Elena puoi aggiungere la cosa all'help del comando per favore?

#6 - 05/05/2017 12:05 PM - Christopher R. Gabriel

- Assignee set to Elena Grandi

Se puoi correggere anche I'help di upgrade vs create che hanno la stessa descrizione. Nel wiki €' giusto, ma nell'help di -h no.

#7 - 05/05/2017 12:26 PM - Elena Grandi

- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Paolo Dongilli

L'opzione -r & gia presente nell'help, ma la si trova con

./fuss—-server configure -h

dato che € un'opzione per un sottocomando, I'help generato con argparse la stampa solo quando si chiede I'help di quello specifico sottocomando.

Nell'help generale c'é una riga

Run fuss-server <command> -h for help on the subcommands.

magari ¢ il caso di precisare "for help and specific flags"?

(intanto, corretto I'help di update, pushato ma non ancora rebuildato il pacchetto)
#8 - 05/13/2017 11:51 PM - Paolo Dongilli

- Status changed from Commenti to Risolto
